Subject: Re: [GSoC] [PATCH v2 2/4] submodule: prefix die messages with 'fatal'

From: Junio C Hamano <[email-masked]>
Date: Thu, 08 Jul 2021 08:17:54 -0700

Atharva Raykar <[email-masked]> writes:

> The standard `die()` function that is used in C code prefixes all the
> messages passed to it with 'fatal: '. This does not happen with the
> `die` used in 'git-submodule.sh'.
>
> Let's prefix each of the shell die messages with 'fatal: ' so that when
> they are converted to C code, the error messages stay the same as before
> the conversion.

Sounds good.  More importantly, the error messages from the
resulting system would become more uniform---after all, the end
users would not care if scripted part of the system is emitting the
error messages, or the message comes from a built-in version.